package com.tofly.base.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.base.dto.RoleMenuDTO;
import com.tofly.base.entity.RoleMenu;
import com.tofly.common.core.entity.ResultRespone;

import java.util.List;

/**
 * 角色菜单表
 */
public interface RoleMenuService extends IService<RoleMenu> {

    boolean updateBatch(RoleMenu[] roleMenus);

    ResultRespone roleMenuBound(RoleMenuDTO roleMenuDTO);

    List<Long> getMenuIds(List<Long> roles);

    List<RoleMenu> getRoleMenu(Long id);

    void delete(List<Long> ids );
    List<RoleMenu>  getAllRoleId(Long id);
}
